All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::binary_leaf Class Reference

Binary leaf interface. More...

`#include <mapped_objects.hpp>`

Inheritance diagram for viennacl::device_specific::binary_leaf:

## Public Member Functions

| binary_leaf (mapped_object::node_info info)
void | process_recursive (utils::kernel_generation_stream &stream, leaf_t leaf, std::string const &key, std::string const &process_str, std::set< std::string > &already_fetched)
std::string | evaluate_recursive (leaf_t leaf, std::map< std::string, std::string > const &accessors)

## Protected Attributes

mapped_object::node_info | info_

## Detailed Description

Binary leaf interface.

Some subtrees have to be interpret at leaves when reconstructing the final expression. It is the case of trans(), diag(), prod(), etc... This interface stores basic infos about the sub-trees

Definition at line 141 of file mapped_objects.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::binary_leaf::binary_leaf | ( | mapped_object::node_info | info | ) |

inline

Definition at line 144 of file mapped_objects.hpp.

## Member Function Documentation

std::string viennacl::device_specific::binary_leaf::evaluate_recursive | ( | leaf_t | leaf,
|  | std::map< std::string, std::string > const & | accessors
| ) |  |

inline

Definition at line 151 of file mapped_objects.hpp.

void viennacl::device_specific::binary_leaf::process_recursive | ( | utils::kernel_generation_stream & | stream,
|  | leaf_t | leaf,
|  | std::string const & | key,
|  | std::string const & | process_str,
|  | std::set< std::string > & | already_fetched
| ) |  |

inline

Definition at line 146 of file mapped_objects.hpp.

## Member Data Documentation

mapped_object::node_info viennacl::device_specific::binary_leaf::info_

protected

Definition at line 157 of file mapped_objects.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/mapped_objects.hpp